Bug 1248279 - [RFE] Memory hot unplug on powerpc platform - qemu-kvm-rhev
[RFE] Memory hot unplug on powerpc platform - qemu-kvm-rhev
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.2
ppc64le Linux
medium Severity high
: rc
: 7.4
Assigned To: David Gibson
Min Deng
: FutureFeature
Depends On: 1308744 1305398 1308743 1323417
Blocks: RHV4.1PPC 1288337 1299680
  Show dependency treegraph
 
Reported: 2015-07-29 22:58 EDT by Zhengtong
Modified: 2017-08-01 23:24 EDT (History)
14 users (show)

See Also:
Fixed In Version: qemu-2.8
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1299680 (view as bug list)
Environment:
Last Closed: 2017-08-01 19:29:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 146287 None None None 2016-10-17 05:37 EDT

  None (edit)
Description Zhengtong 2015-07-29 22:58:53 EDT
Description of problem:

Now, on rhel7.2 , there is not implementation for memory hot unplug.
this bug is for tracing the process of implementing.
Comment 2 David Gibson 2015-07-30 22:01:36 EDT
No way this is happening for RHEL7.2.  Moving to RHEL 7.3 as a maybe.
Comment 6 David Gibson 2016-11-17 20:37:52 EST
The new PAPR interfaces are implemented upstream now, so we should get this in the rebase.
Comment 8 Min Deng 2017-02-06 21:39:50 EST
QE re-test the bug on the following builds
kernel-3.10.0-556.el7.ppc64le
qemu-kvm-rhev-2.8.0-3.el7.ppc64le
steps,
cli,
1./usr/libexec/qemu-kvm -M pseries-rhel7.4.0 -name avocado-vt-vm1 -sandbox off -machine pseries -nodefaults -vga std -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/1,server,nowait -mon chardev=qmp_id_qmpmonitor1,mode=control -chardev socket,id=qmp_id_catch_monitor,path=/tmp/2,server,nowait -mon chardev=qmp_id_catch_monitor,mode=control -chardev socket,id=serial_id_serial0,path=/tmp/3,server,nowait -device spapr-vty,reg=0x30000000,chardev=serial_id_serial0 -device pci-ohci,id=usb1,bus=pci.0,addr=03 -device virtio-scsi-pci,id=virtio_scsi_pci0,bus=pci.0,addr=04 -drive id=drive_image1,if=none,snapshot=off,aio=native,cache=none,format=qcow2,file=rhel73-ppc64le-virtio-scsi.qcow2 -device scsi-hd,id=image1,drive=drive_image1 -m 3G,slots=256,maxmem=32G -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 -numa node -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 -vnc :10 -rtc base=utc,clock=host -boot order=cdn,once=c,menu=off,strict=off -enable-kvm -device usb-kbd,id=input0 -device usb-mouse,id=input1 -device usb-tablet,id=input2 -monitor stdio -device virtio-net-pci,mac=9a:09:0a:0b:0c:0d,id=idLLoQ97,vectors=4,netdev=hostnet0 -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup,downscript=/etc/qemu-ifdown
2.object_add memory-backend-ram,id=mem1,size=1G
3.device_add pc-dimm,id=dimm1,memdev=mem1
4.device_del dimm1
5.object_del mem1
Actual results,
step4,Memory hot unplug not supported for this guest
step5,object 'mem1' is in use, can not be deleted
Expected results,
The memory unplug should be supported so far.
Comment 9 Qunfang Zhang 2017-02-06 22:30:04 EST
Hi, David

Seems this bug depends on other bugs in the "Depends On" list to be fixed first, do we have plan to fix them all? Including the PAPR Hash Page Table resizing bugs. 

Thanks,
Qunfang
Comment 10 Qunfang Zhang 2017-02-07 00:45:19 EST
David replied me in irc, clear needinfo.
Comment 11 Qunfang Zhang 2017-02-27 00:58:09 EST
(In reply to Qunfang Zhang from comment #10)
> David replied me in irc, clear needinfo.

Bug 1323417 is a blocker to verify this bug. The HPT resize isn't needed to do basic testing for memory hot-unplug.
Comment 12 Min Deng 2017-03-16 23:08:35 EDT
QE re-test the bug on the following builds,the basic memory hot-unplug works well.but we had better not verify it now since there's a severe bug need handling in the following new build.
https://bugzilla.redhat.com/show_bug.cgi?id=1432382

Build info
ppc64le
kernel-3.10.0-600.el7.ppc64le (host/guest)
qemu-kvm-rhev-2.8.0-6.el7.ppc64le
SLOF-20160223-6.gitdbbfda4.el7.noarch

1.boot up a guest
  ... -m 1G,slots=32,maxmem=40G -numa node -monitor unix:/tmp/monitor3,server,nowait...
2.object_add memory-backend-ram,id=mem1,size=1G
3.device_add pc-dimm,id=dimm1,memdev=mem1
4.device_del dimm1
5.object_del mem1

Actual results,
The memory could be removed successfully.
Expect results,
The memory could be removed successfully.
Comment 13 Qunfang Zhang 2017-05-11 02:31:39 EDT
The bug mentioned in comment 12 (bug 1432382) was verified pass. So I will set status to VERIFIED. Another round of memory hotplug/unplug functional testing will be conducted later for RHEL7.4. If we hit some issues will create separate bug.
Comment 15 errata-xmlrpc 2017-08-01 19:29:42 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392
Comment 16 errata-xmlrpc 2017-08-01 21:07:21 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392
Comment 17 errata-xmlrpc 2017-08-01 21:59:20 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392
Comment 18 errata-xmlrpc 2017-08-01 22:40:06 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392
Comment 19 errata-xmlrpc 2017-08-01 23:04:50 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392
Comment 20 errata-xmlrpc 2017-08-01 23:24:58 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Note You need to log in before you can comment on or make changes to this bug.